
Name:		stp
Version:	0.1392
Release:	1
Summary:	Constraint solver used by program analysis tools
License:	MIT and BSD-like
Group:		Development/Other

# (using revision 1392)
# svn https://stp-fast-prover.svn.sourceforge.net/svnroot/stp-fast-prover/trunk/stp stp
# find stp -name .svn | xargs rm -rf
# tar jcf stp.tar.bz2 stp
Source0:	stp.tar.bz2
URL:		https://sites.google.com/site/stpfastprover/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	subversion
BuildRequires:	valgrind
BuildRequires:	zlib-devel

#-----------------------------------------------------------------------
%description
STP is a constraint solver (also referred to as a decision procedure or
automated prover) aimed at solving constraints generated by program analysis
tools, theorem provers, automated bug finders, biology, cryptography,
intelligent fuzzers and model checkers. STP has been used in many research
projects at Stanford, Berkeley, MIT, CMU and other universities. It is also
being used at many companies such as NVIDIA, some startup companies, and
by certain government agencies. 

The input to STP are formulas over the theory of bit-vectors and arrays
(This theory captures most expressions from languages like C/C++/Java and
Verilog), and the output of STP is a single bit of information that
indicates whether the formula is satisfiable or not. If the input is
satisfiable, then it also generates a variable assignment to satisfy the
input formula. 

#-----------------------------------------------------------------------
%prep
%setup -q -n %{name}
perl -pi -e "s|(TEST_PREFIX=).*|\$1tests/|;" scripts/Makefile.common

#-----------------------------------------------------------------------
%build
. scripts/configure --with-prefix=%{_prefix} --with-fpic
%make

#-----------------------------------------------------------------------
%install
make install PREFIX=%{buildroot}%{_prefix} LIB_DIR=%{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}/%{name}
install -m644 AUTHORS CODING_GUIDLINES DOWNLOAD INSTALL LICENSE	\
	LICENSE_COMPONENTS README %{buildroot}%{_docdir}/%{name}

#-----------------------------------------------------------------------
%check
PATH=$PWD/bin:$PATH make regressall
install -m644 *.log %{buildroot}%{_docdir}/%{name}

#-----------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%doc %{_docdir}/%{name}


%changelog
* Mon Sep 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 0.1392-1
+ Revision: 698271
+ rebuild (emptylog)

* Mon Sep 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 0.1392-1
+ Revision: 698260
- Import stp svn rev 1392
- Import stp svn rev 1392

